# Get information about a call

You can retrieve information about an ongoing or completed call using a call ID. You can find the call ID of an ongoing call by viewing the response object from a callout request. You can find the call ID of a completed call by looking at your call logs in your Sinch [Dashboard](https://dashboard.sinch.com/voice/logs).
Note: You can only use this method for calls that terminate to PSTN or SIP networks from an In-app call.

Endpoint: GET /calling/v1/calls/id/{callId}
Version: 1.0.1
Security: Basic, Signed

## Security:

  - `Basic` (unknown)
    http basic

  - `Signed` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `callId` (string, required)
    The unique identifier of the call. This value is generated by the system.

## Response 200:

  - `200` (unknown)
    A success response, or an [Error](https://developers.sinch.com/docs/voice/api-reference/errors/).

## Response 200 fields (application/json):

  - `from` (any)

  - `from.type` (string, required)
    Type `userName` used for data endpoints.
    Enum: "username", "Username"

  - `from.endpoint` (string, required)
    For type `userName` the value is the username for a data endpoint.
    Example: myUserName

  - `from.type` (string, required)
    Type `number` used for PSTN endpoints.
    Enum: "number", "Number"

  - `from.endpoint` (string, required)
    If the type is `number` the value of the endpoint is a phone number.
    Example: +12125550123

  - `from.type` (string, required)
    Type `sip` for SIP infrastructures.
    Enum: "sip"

  - `from.endpoint` (string, required)
    For type `sip` the value is the SIP address for a SIP endpoint.
    Example: +19876543210@example.sip.sinch.com

  - `to` (any)

  - `domain` (string)
    Must be `pstn` for PSTN.
    Enum: "pstn"

  - `callId` (string)
    The unique identifier of the call.

  - `duration` (integer)
    The duration of the call in seconds.

  - `status` (string)
    The status of the call. Either `ONGOING` or `FINAL`
    Enum: "ONGOING", "FINAL"

  - `result` (string)
    Contains the result of a call.
    Enum: "N/A", "ANSWERED", "BUSY", "NOANSWER", "FAILED"

  - `reason` (string)
    Contains the reason why a call ended.
    Enum: "N/A", "TIMEOUT", "CALLERHANGUP", "CALLEEHANGUP", "BLOCKED", "NOCREDITPARTNER", "MANAGERHANGUP", "CANCEL", "GENERALERROR", "INVALIDSVAMLACTION"

  - `timestamp` (string)
    The date and time of the call.

  - `custom` (string)
    A string that can be used to pass custom information related to the call.

  - `userRate` (object)

  - `userRate.currencyId` (string)

  - `userRate.amount` (number)

